Skip to content

Diagnostics

All operations require authentication.

1 operationv2/zimbra/platform
Agent setup

Diagnose domainsProduction

POST
/v2/zimbra/platform/{platformId}/diagnostic/domain

Checks the MX, SPF, DKIM and autodiscover DNS records of the domains listed in domains. Returns, for each domain, the status and errors of each test, the records found and the expected DNS configuration.

Path parameters

platformId
required
stringuuid

Platform ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Request body (required)

domains
required
string[]uuid

List of domains to diagnose

Response

200DomainDiagnosisResponse[]successful operation
domainId
read-only
stringuuid

Identifier of the domain

domainName
read-only
string

Name of the domain

error
read-only
DomainDiagnosisError

List of errors when doing diagnostics

isExternal
read-only
boolean

Whether domain is not managed by OVHcloud, it allows autoconfiguration of the domain

recommendations
read-only
DomainDiagnosisRecommendations

Recommendations on how to configure a domain

result
read-only
DomainDiagnosisResult

Result of the diagnosis

status
read-only
DomainDiagnosisStatusEnum

Status of the diagnosis

ValuesERROROKPARTIAL
404objectError 404 response

Example uses platformId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/zimbra/platform/{platformId}/diagnostic/domain \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "domainId": "00000000-0000-0000-0000-000000000000", "domainName": "string", "error": { "code": "BAD_CONFIGURATION", "message": "string" }, "isExternal": true, "recommendations": { "expectedDNSConfig": { "autodiscover": "string", "dkim": { "cnames": [ { "name": null, "value": null } ] }, "mx": [ { "priority": 0, "target": "string" } ], "ownership": { "cname": "string" }, "spf": "string" } }, "result": { "autodiscover": { "errors": [ { "code": "INCORRECT_SRV_RECORD", "message": "string" } ], "recordsFound": [ "string" ], "status": "ERROR" }, "dkim": { "errors": [ { "code": "DKIM_DISABLED", "message": "string" } ], "recordsFound": [ { "name": "string", "value": "string" } ], "status": "ERROR" }, "mx": { "errors": [ { "code": "EXTERNAL_MX_RECORD", "message": "string" } ], "recordsFound": [ { "priority": 0, "target": "string" } ], "status": "ERROR" }, "spf": { "errors": [ { "code": "DANGEROUS_SPF_POLICY", "message": "string" } ], "recordsFound": [ "string" ], "status": "ERROR" } }, "status": "ERROR" }]